export type Location = {
    id: string;
    start: {
        line: number;
        column: number;
        index: number;
    };
    end: {
        line: number;
        column: number;
        index: number;
    };
};
export type StatementMap = {
    [id: string]: Location;
};
export type BranchMap = {
    [id: string]: {
        line: number;
        type: string;
        loc: Location;
        locations: [Location, Location];
    };
};
export type FunctionMap = {
    [id: string]: {
        name: string;
        line: number;
        decl: Location;
        loc: Location;
    };
};
export type InstrumentationData = {
    hash: string;
    statementMap: StatementMap;
    branchMap: BranchMap;
    fnMap: FunctionMap;
    s: {
        [id: string]: number;
    };
    f: {
        [id: string]: number;
    };
    b: {
        [id: string]: [number, number];
    };
};
export type InstrumentationDataMap = {
    [path: string]: InstrumentationData;
};
//# sourceMappingURL=InstrumentationData.d.ts.map